Subject: bug#51056: 29.0.50; Making `gnus-define-keys' obsolete

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 12 Oct 2021 12:43:43 +0200

Stefan Kangas <[email-masked]> writes:

> If we do break something, we can always back those commits out for
> further investigation, as I already had to do in one case.  The culprit
> was this change, but I can't say that I understand why:

[...]

> -(mh-do-in-gnu-emacs
> -  (require 'tool-bar))

It's because mh-do-in-gnu-emacs is autoloaded and pulls in mh-acros,
while mh-dlet* isn't autoloaded, and we're not requiring mh-acros, so it
fails if you remove that macro.

I think the solution is just to require mh-acros (or possibly autoload
mh-dlet*).  (The latter can probably just be rewritten to use dlet,
though.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no